from django.conf import settings


def get(key, default):
    return getattr(settings, key, default)

TOPIC_PAGE_SIZE = get('PYBB_TOPIC_PAGE_SIZE', 10)
FORUM_PAGE_SIZE = get('PYBB_FORUM_PAGE_SIZE', 20)
AVATARS_UPLOAD_TO = get('PYBB_AVATARS_UPLOAD_TO', 'pybb/avatars')
AVATAR_WIDTH = get('PYBB_AVATAR_WIDTH', 60)
AVATAR_HEIGHT = get('PYBB_AVATAR_HEIGHT', 60)
DEFAULT_TIME_ZONE = get('PYBB_DEFAULT_TIME_ZONE', 3)
SIGNATURE_MAX_LENGTH = get('PYBB_SIGNATURE_MAX_LENGTH', 1024)
SIGNATURE_MAX_LINES = get('PYBB_SIGNATURE_MAX_LINES', 3)
READ_TIMEOUT = get('PYBB_READ_TIMEOUT', 3600 * 24 * 7)
DEFAULT_MARKUP = get('PYBB_DEFAULT_MARKUP', 'bbcode')
ATTACHMENT_UPLOAD_TO = get('PYBB_ATTACHMENT_UPLOAD_TO', 'pybb/attachments')
ATTACHMENT_SIZE_LIMIT = get('PYBB_ATTACHMENT_SIZE_LIMIT', 1024 * 1024)
ATTACHMENT_ENABLE = get('PYBB_ATTACHMENT_ENABLE', True)
INTERNAL_PERM =  get('INTERNAL_PERM', 'pybb.can_access_internal')
LAST_POSTS_DAYS = get('LAST_POSTS_DAYS', 30)

# That is used internally
DISABLE_NOTIFICATION = False
